﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using System.Globalization;

namespace XamDataGridExcelStyle
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Person> coll { get; set; }

        public MainWindow()
        {
            InitializeComponent();

            coll = new ObservableCollection<Person>();

            coll.Add(new Person() { Id = 1, LastName = "Doe" });
            coll.Add(new Person() { Id = 2, LastName = "Doe", Age = 34.5555 });
            coll.Add(new Person() { Id = 3, LastName = "Doe", Age = 56 });
            coll.Add(new Person() { Id = 4, LastName = "Smithfffffffffffffffff", Age = 23 });

            this.DataContext = coll;

        }

        private void xamDataGrid1_EditModeEnding(object sender, Infragistics.Windows.DataPresenter.Events.EditModeEndingEventArgs e)
        {
            if (e.Editor.Value.ToString().Contains('+'))
            {
                string[] tmp = e.Editor.Value.ToString().Split('+');
                double result = 0;
                for (int i = 0; i < tmp.Length; i++)
                {
                    result += Double.Parse(tmp[i]);
                }
                e.Editor.Value = result / 2;
            }
        }
    }


    public class Person : INotifyPropertyChanged
    {
        private int id;


        public int Id
        {
            get { return id; }
            set
            {
                id = value;
                NotifyPropertyChanged("Id");
            }
        }

        private double age;

        public double Age
        {
            get { return age; }
            set { age = value; NotifyPropertyChanged("Age"); }
        }

        private String lastName;

        public String LastName
        {
            get { return lastName; }
            set { lastName = value; NotifyPropertyChanged("LastName"); }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

    }


    public class MyConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {

            return value + "$";
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return Binding.DoNothing;
        }
    }
}
